#include "bsp_common.h"

void bsp_clock_init( void )
{
    /* MainOSC setting */
    CLKCTL.MOSCM = _CGC_MAINOSC_OSC_MODE;
    CLKCTL.MOSCC = _CGC_MOSCC_DEFAULT_VALUE | _CGC_MAINOSC_16MHZ;
    CLKCTL.MOSCST = _CGC_MAINOSC_STABILIZE_TIME;
    CLKCTL.MOSCSTPM = _CGC_MOSCSTPM_DEFAULT_VALUE | _CGC_MAINOSC_REQUEST_STOP;
    WPROTR.PROTCMD0 = _WRITE_PROTECT_COMMAND;
    CLKCTL.MOSCE = _CGC_MAINOSC_START;
    CLKCTL.MOSCE = ( uint32_t ) ~_CGC_MAINOSC_START;
    CLKCTL.MOSCE = _CGC_MAINOSC_START;

    while( ( CLKCTL.MOSCS & _CGC_MAINOSC_ACTIVE ) != _CGC_MAINOSC_ACTIVE )
    {
        NOP();
    }

    /* HS IntOSC setting */
    CLKCTL.ROSCSTPM = _CGC_ROSCSTPM_DEFAULT_VALUE | _CGC_HSOSC_REQUEST_STOP;

    /* PLL1 setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_PLL1IS_CTL = _CGC_PLL1_SOURCE_MAINOSC;
    CLKCTL.CKSC_PLL1IS_CTL = ( uint32_t ) ~_CGC_PLL1_SOURCE_MAINOSC;
    CLKCTL.CKSC_PLL1IS_CTL = _CGC_PLL1_SOURCE_MAINOSC;

    while( ( CLKCTL.CKSC_PLL1IS_ACT & _CGC_PLL1_SOURCE_ACTIVE ) != _CGC_PLL1_SOURCE_MAINOSC )
    {
        NOP();
    }

    CLKCTL.PLL1C = _CGC_PLL1C_DEFAULT_VALUE | _CGC_PLL1_DIVISION_RATIO;
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.PLL1E = _CGC_PLL1_START;
    CLKCTL.PLL1E = ( uint32_t ) ~_CGC_PLL1_START;
    CLKCTL.PLL1E = _CGC_PLL1_START;

    while( ( CLKCTL.PLL1S & _CGC_PLL1_ACTIVE ) != _CGC_PLL1_ACTIVE )
    {
        NOP();
    }

    /* PLL0 setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_PLL0IS_CTL = _CGC_PLL0_SOURCE_MAINOSC;
    CLKCTL.CKSC_PLL0IS_CTL = ( uint32_t ) ~_CGC_PLL0_SOURCE_MAINOSC;
    CLKCTL.CKSC_PLL0IS_CTL = _CGC_PLL0_SOURCE_MAINOSC;

    while( ( CLKCTL.CKSC_PLL0IS_ACT & _CGC_PLL0_SOURCE_ACTIVE ) != _CGC_PLL0_SOURCE_MAINOSC )
    {
        NOP();
    }

    CLKCTL.PLL0C = _CGC_PLL0C_DEFAULT_VALUE | _CGC_PLL0_DIVISION_RATIO | _CGC_PLL0_MFD10 | _CGC_PLL0_FMR_1;
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.PLL0E = _CGC_PLL0_START;
    CLKCTL.PLL0E = ( uint32_t ) ~_CGC_PLL0_START;
    CLKCTL.PLL0E = _CGC_PLL0_START;

    while( ( CLKCTL.PLL0S & _CGC_PLL0_ACTIVE ) != _CGC_PLL0_ACTIVE )
    {
        NOP();
    }

    /* PPLLCLK setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_PPLLCLKS_CTL = _CGC_PPLLCLK_SOURCE_PPLLOUT;
    CLKCTL.CKSC_PPLLCLKS_CTL = ( uint32_t ) ~_CGC_PPLLCLK_SOURCE_PPLLOUT;
    CLKCTL.CKSC_PPLLCLKS_CTL = _CGC_PPLLCLK_SOURCE_PPLLOUT;

    while( ( CLKCTL.CKSC_PPLLCLKS_ACT & _CGC_PPLLCLK_SOURCE_ACTIVE ) != _CGC_PPLLCLK_SOURCE_PPLLOUT )
    {
        NOP();
    }

    /* CPU clock setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_CPUCLKS_CTL = _CGC_CPU_CLK_SOURCE_CPLL0OUT;
    CLKCTL.CKSC_CPUCLKS_CTL = ( uint32_t ) ~_CGC_CPU_CLK_SOURCE_CPLL0OUT;
    CLKCTL.CKSC_CPUCLKS_CTL = _CGC_CPU_CLK_SOURCE_CPLL0OUT;

    while( CLKCTL.CKSC_CPUCLKS_ACT != _CGC_CPU_CLK_SOURCE_CPLL0OUT )
    {
        NOP();
    }

    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_CPUCLKD_CTL = _CGC_CPLLOUT_DIVIDER_2 | _CGC_CPU_CLK_DIVIDER_1;
    CLKCTL.CKSC_CPUCLKD_CTL = ( uint32_t ) ~( _CGC_CPLLOUT_DIVIDER_2 | _CGC_CPU_CLK_DIVIDER_1 );
    CLKCTL.CKSC_CPUCLKD_CTL = _CGC_CPLLOUT_DIVIDER_2 | _CGC_CPU_CLK_DIVIDER_1;

    while( CLKCTL.CKSC_CPUCLKD_ACT != ( _CGC_CPLLOUT_DIVIDER_2 | _CGC_CPU_CLK_DIVIDER_1 ) )
    {
        NOP();
    }

    /* Frequency output clock setting */
    WPROTR.PROTCMD0 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_AFOUTS_CTL = _CGC_FOUT_CLK_SOURCE_PPLLCLK4;
    CLKCTL.CKSC_AFOUTS_CTL = ( uint32_t ) ~_CGC_FOUT_CLK_SOURCE_PPLLCLK4;
    CLKCTL.CKSC_AFOUTS_CTL = _CGC_FOUT_CLK_SOURCE_PPLLCLK4;

    while( CLKCTL.CKSC_AFOUTS_ACT != _CGC_FOUT_CLK_SOURCE_PPLLCLK4 )
    {
        NOP();
    }

    CLKCTL.FOUTDIV = _CGC_FOUT_DIVISION_RATIO;
    CLKCTL.CKSC_AFOUTS_STPM = _CGC_CKSC_AFOUTS_STPM_DEFAULT_VALUE | _CGC_FOUT_CLK_REQUEST_STOP;

    /* TAUJ0 clock domain setting */
    WPROTR.PROTCMD0 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ATAUJS_CTL = _CGC_TAUJ_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_ATAUJS_CTL = ( uint32_t ) ~_CGC_TAUJ_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_ATAUJS_CTL = _CGC_TAUJ_CLK_SOURCE_DISABLE;

    while( CLKCTL.CKSC_ATAUJS_ACT != _CGC_TAUJ_CLK_SOURCE_DISABLE )
    {
        NOP();
    }

    /* RTCA0 clock domain setting */
    WPROTR.PROTCMD0 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ARTCAS_CTL = _CGC_RTCA_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_ARTCAS_CTL = ( uint32_t ) ~_CGC_RTCA_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_ARTCAS_CTL = _CGC_RTCA_CLK_SOURCE_DISABLE;

    while( CLKCTL.CKSC_ARTCAS_ACT != _CGC_RTCA_CLK_SOURCE_DISABLE )
    {
        NOP();
    }

    WPROTR.PROTCMD0 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ARTCAD_CTL = _CGC_RTCA_CLK_DIVIDER_DISABLE;
    CLKCTL.CKSC_ARTCAD_CTL = ( uint32_t ) ~_CGC_RTCA_CLK_DIVIDER_DISABLE;
    CLKCTL.CKSC_ARTCAD_CTL = _CGC_RTCA_CLK_DIVIDER_DISABLE;

    while( CLKCTL.CKSC_ARTCAD_ACT != _CGC_RTCA_CLK_DIVIDER_DISABLE )
    {
        NOP();
    }

    /* ADCA0 clock domain setting */
    WPROTR.PROTCMD0 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_AADCAS_CTL = _CGC_ADCA0_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_AADCAS_CTL = ( uint32_t ) ~_CGC_ADCA0_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_AADCAS_CTL = _CGC_ADCA0_CLK_SOURCE_DISABLE;

    while( CLKCTL.CKSC_AADCAS_ACT != _CGC_ADCA0_CLK_SOURCE_DISABLE )
    {
        NOP();
    }

    /* RLIN clock domain setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ILINS_CTL = _CGC_RLIN_CLK_SOURCE_PPLLCLK2;
    CLKCTL.CKSC_ILINS_CTL = ( uint32_t ) ~_CGC_RLIN_CLK_SOURCE_PPLLCLK2;
    CLKCTL.CKSC_ILINS_CTL = _CGC_RLIN_CLK_SOURCE_PPLLCLK2;

    while( CLKCTL.CKSC_ILINS_ACT != _CGC_RLIN_CLK_SOURCE_PPLLCLK2 )
    {
        NOP();
    }

    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ILIND_CTL = _CGC_RLIN_CLK_DIVIDER_1;
    CLKCTL.CKSC_ILIND_CTL = ( uint32_t ) ~_CGC_RLIN_CLK_DIVIDER_1;
    CLKCTL.CKSC_ILIND_CTL = _CGC_RLIN_CLK_DIVIDER_1;

    while( CLKCTL.CKSC_ILIND_ACT != _CGC_RLIN_CLK_DIVIDER_1 )
    {
        NOP();
    }

    CLKCTL.CKSC_ILIND_STPM = _CGC_CKSC_ILIND_STPM_DEFAULT_VALUE | _CGC_RLIN_CLK_REQUEST_STOP;

    /* Peripheral clock domain setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_IPERI1S_CTL = _CGC_PERI1_CLK_SOURCE_PPLLCLK;
    CLKCTL.CKSC_IPERI1S_CTL = ( uint32_t ) ~_CGC_PERI1_CLK_SOURCE_PPLLCLK;
    CLKCTL.CKSC_IPERI1S_CTL = _CGC_PERI1_CLK_SOURCE_PPLLCLK;

    while( CLKCTL.CKSC_IPERI1S_ACT != _CGC_PERI1_CLK_SOURCE_PPLLCLK )
    {
        NOP();
    }

    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_IPERI2S_CTL = _CGC_PERI2_CLK_SOURCE_PPLLCLK2;
    CLKCTL.CKSC_IPERI2S_CTL = ( uint32_t ) ~_CGC_PERI2_CLK_SOURCE_PPLLCLK2;
    CLKCTL.CKSC_IPERI2S_CTL = _CGC_PERI2_CLK_SOURCE_PPLLCLK2;

    while( CLKCTL.CKSC_IPERI2S_ACT != _CGC_PERI2_CLK_SOURCE_PPLLCLK2 )
    {
        NOP();
    }

    /* ADCA1 clock domain setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_IADCAS_CTL = _CGC_ADCA1_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_IADCAS_CTL = ( uint32_t ) ~_CGC_ADCA1_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_IADCAS_CTL = _CGC_ADCA1_CLK_SOURCE_DISABLE;

    while( CLKCTL.CKSC_IADCAS_ACT != _CGC_ADCA1_CLK_SOURCE_DISABLE )
    {
        NOP();
    }

    /* RS-CANn clock domains setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ICANS_CTL = _CGC_RSCAN_CLK_SOURCE_PPLLCLK;
    CLKCTL.CKSC_ICANS_CTL = ( uint32_t ) ~_CGC_RSCAN_CLK_SOURCE_PPLLCLK;
    CLKCTL.CKSC_ICANS_CTL = _CGC_RSCAN_CLK_SOURCE_PPLLCLK;

    while( CLKCTL.CKSC_ICANS_ACT != _CGC_RSCAN_CLK_SOURCE_PPLLCLK )
    {
        NOP();
    }

    CLKCTL.CKSC_ICANS_STPM = _CGC_CKSC_ICANS_STPM_DEFAULT_VALUE | _CGC_RSCAN_CLK_REQUEST_STOP;
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ICANOSCD_CTL = _CGC_RSCANOSC_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_ICANOSCD_CTL = ( uint32_t ) ~_CGC_RSCANOSC_CLK_SOURCE_DISABLE;
    CLKCTL.CKSC_ICANOSCD_CTL = _CGC_RSCANOSC_CLK_SOURCE_DISABLE;

    while( CLKCTL.CKSC_ICANOSCD_ACT != _CGC_RSCANOSC_CLK_SOURCE_DISABLE )
    {
        NOP();
    }

    /* CSI clock domain setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_ICSIS_CTL = _CGC_CSI_CLK_SOURCE_PPLLCLK;
    CLKCTL.CKSC_ICSIS_CTL = ( uint32_t ) ~_CGC_CSI_CLK_SOURCE_PPLLCLK;
    CLKCTL.CKSC_ICSIS_CTL = _CGC_CSI_CLK_SOURCE_PPLLCLK;

    while( CLKCTL.CKSC_ICSIS_ACT != _CGC_CSI_CLK_SOURCE_PPLLCLK )
    {
        NOP();
    }

    /* IIC clock domain setting */
    WPROTR.PROTCMD1 = _WRITE_PROTECT_COMMAND;
    CLKCTL.CKSC_IIICS_CTL = _CGC_IIC_CLK_SOURCE_PPLLCLK2;
    CLKCTL.CKSC_IIICS_CTL = ( uint32_t ) ~_CGC_IIC_CLK_SOURCE_PPLLCLK2;
    CLKCTL.CKSC_IIICS_CTL = _CGC_IIC_CLK_SOURCE_PPLLCLK2;

    while( CLKCTL.CKSC_IIICS_ACT != _CGC_IIC_CLK_SOURCE_PPLLCLK2 )
    {
        NOP();
    }

    /* Synchronization processing */
    __syncp();

    /* Set CSCXFOUT pin */
}
