/********************************************************************
*
* DMASS0_INTAGGR_0 INTERRUPT MAP. header file
*
* Copyright (C) 2015-2022 Texas Instruments Incorporated.
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
#ifndef CSLR_DMASS0_INTAGGR_0_INTERRUPT_MAP_H_
#define CSLR_DMASS0_INTAGGR_0_INTERRUPT_MAP_H_

#include <drivers/hw_include/cslr.h>
#include <drivers/hw_include/tistdtypes.h>
#ifdef __cplusplus
extern "C"
{
#endif

/*
* List of intr sources for receiver: DMASS0_INTAGGR_0
*/

#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_32                       (0U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_33                       (1U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_34                       (2U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_35                       (3U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_36                       (4U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_37                       (5U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_38                       (6U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_CMP_EVENT_INTROUTER0_OUTP_39                       (7U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_0                   (8U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_1                   (9U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_2                   (10U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_3                   (11U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_4                   (12U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_5                   (13U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_6                   (14U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_TIMESYNC_EVENT_INTROUTER0_OUTL_7                   (15U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_30                    (16U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_31                    (17U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_32                    (18U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_33                    (19U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_34                    (20U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_35                    (21U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_36                    (22U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_37                    (23U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_16                    (24U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_MAIN_GPIOMUX_INTROUTER0_OUTP_17                    (25U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_DEBUGSS0_DAVDMA_LEVEL_0                            (28U)
#define CSLR_DMASS0_INTAGGR_0_INTAGGR_LEVI_PEND_GPMC0_GPMC_SDMAREQ_0                               (29U)

#ifdef __cplusplus
}
#endif
#endif /* CSLR_DMASS0_INTAGGR_0_INTERRUPT_MAP_H_ */

