/********************************************************************
*
* GICSS0 INTERRUPT MAP. header file
*
* Copyright (C) 2015-2022 Texas Instruments Incorporated.
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
#ifndef CSLR_GICSS0_INTERRUPT_MAP_H_
#define CSLR_GICSS0_INTERRUPT_MAP_H_

#include <drivers/hw_include/cslr.h>
#include <drivers/hw_include/tistdtypes.h>
#ifdef __cplusplus
extern "C"
{
#endif

/*
* List of intr sources for receiver: GICSS0
*/

#define CSLR_GICSS0_PPI0_0_A53SS0_COMMIRQ0_0                                                       (22U)
#define CSLR_GICSS0_PPI0_1_A53SS0_COMMIRQ1_0                                                       (22U)
#define CSLR_GICSS0_PPI0_0_A53SS0_PMUIRQ0_0                                                        (23U)
#define CSLR_GICSS0_PPI0_1_A53SS0_PMUIRQ1_0                                                        (23U)
#define CSLR_GICSS0_PPI0_0_A53SS0_CTIIRQ0_0                                                        (24U)
#define CSLR_GICSS0_PPI0_1_A53SS0_CTIIRQ1_0                                                        (24U)
#define CSLR_GICSS0_PPI0_0_A53SS0_VCPUMNTIRQ0_0                                                    (25U)
#define CSLR_GICSS0_PPI0_1_A53SS0_VCPUMNTIRQ1_0                                                    (25U)
#define CSLR_GICSS0_PPI0_0_A53SS0_CNTHPIRQ0_0                                                      (26U)
#define CSLR_GICSS0_PPI0_1_A53SS0_CNTHPIRQ1_0                                                      (26U)
#define CSLR_GICSS0_PPI0_0_A53SS0_CNTVIRQ0_0                                                       (27U)
#define CSLR_GICSS0_PPI0_1_A53SS0_CNTVIRQ1_0                                                       (27U)
#define CSLR_GICSS0_PPI0_0_A53SS0_CNTPSIRQ0_0                                                      (29U)
#define CSLR_GICSS0_PPI0_1_A53SS0_CNTPSIRQ1_0                                                      (29U)
#define CSLR_GICSS0_PPI0_0_A53SS0_CNTPNSIRQ0_0                                                     (30U)
#define CSLR_GICSS0_PPI0_1_A53SS0_CNTPNSIRQ1_0                                                     (30U)
#define CSLR_GICSS0_PPI0_0_A53SS0_CTIIRQ1_0                                                        (31U)
#define CSLR_GICSS0_PPI0_1_A53SS0_CTIIRQ0_0                                                        (31U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_0                                             (32U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_1                                             (33U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_2                                             (34U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_3                                             (35U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_4                                             (36U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_5                                             (37U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_6                                             (38U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_7                                             (39U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_8                                             (40U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_9                                             (41U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_10                                            (42U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_11                                            (43U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_12                                            (44U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_13                                            (45U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_14                                            (46U)
#define CSLR_GICSS0_SPI_MAIN_GPIOMUX_INTROUTER0_OUTP_15                                            (47U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_0                                                (48U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_1                                                (49U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_2                                                (50U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_3                                                (51U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_4                                                (52U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_5                                                (53U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_6                                                (54U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_7                                                (55U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_8                                                (56U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_9                                                (57U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_10                                               (58U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_11                                               (59U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_12                                               (60U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_13                                               (61U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_14                                               (62U)
#define CSLR_GICSS0_SPI_CMP_EVENT_INTROUTER0_OUTP_15                                               (63U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_0                                      (64U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_1                                      (65U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_2                                      (66U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_3                                      (67U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_4                                      (68U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_5                                      (69U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_6                                      (70U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_7                                      (71U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_8                                      (72U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_9                                      (73U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_10                                     (74U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_11                                     (75U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_12                                     (76U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_13                                     (77U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_14                                     (78U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_15                                     (79U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_16                                     (80U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_17                                     (81U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_18                                     (82U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_19                                     (83U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_20                                     (84U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_21                                     (85U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_22                                     (86U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_23                                     (87U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_24                                     (88U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_25                                     (89U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_26                                     (90U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_27                                     (91U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_28                                     (92U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_29                                     (93U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_30                                     (94U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_31                                     (95U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_32                                     (96U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_33                                     (97U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_34                                     (98U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_35                                     (99U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_36                                     (100U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_37                                     (101U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_38                                     (102U)
#define CSLR_GICSS0_SPI_DMASS0_INTAGGR_0_INTAGGR_VINTR_PEND_39                                     (103U)
#define CSLR_GICSS0_SPI_MCU_MCU_GPIOMUX_INTROUTER0_OUTP_0                                          (104U)
#define CSLR_GICSS0_SPI_MCU_MCU_GPIOMUX_INTROUTER0_OUTP_1                                          (105U)
#define CSLR_GICSS0_SPI_MCU_MCU_GPIOMUX_INTROUTER0_OUTP_2                                          (106U)
#define CSLR_GICSS0_SPI_MCU_MCU_GPIOMUX_INTROUTER0_OUTP_3                                          (107U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_6_MAILBOX_CLUSTER_PEND_2                          (108U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_7_MAILBOX_CLUSTER_PEND_2                          (109U)
#define CSLR_GICSS0_SPI_GLUELOGIC_MAINRESET_REQUEST_GLUE_MAIN_PORZ_SYNC_STRETCH_0                  (110U)
#define CSLR_GICSS0_SPI_GLUELOGIC_MAINRESET_REQUEST_GLUE_MAIN_RESETZ_SYNC_STRETCH_0                (111U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_2_MAILBOX_CLUSTER_PEND_2                          (112U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_2_MAILBOX_CLUSTER_PEND_3                          (113U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_3_MAILBOX_CLUSTER_PEND_2                          (114U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_3_MAILBOX_CLUSTER_PEND_3                          (115U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_4_MAILBOX_CLUSTER_PEND_2                          (116U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_4_MAILBOX_CLUSTER_PEND_3                          (117U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_5_MAILBOX_CLUSTER_PEND_2                          (118U)
#define CSLR_GICSS0_SPI_MAILBOX0_MAILBOX_CLUSTER_5_MAILBOX_CLUSTER_PEND_3                          (119U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_0                                            (120U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_1                                            (121U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_2                                            (122U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_3                                            (123U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_4                                            (124U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_5                                            (125U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_6                                            (126U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_HOST_INTR_PEND_7                                            (127U)
#define CSLR_GICSS0_SPI_ADC0_GEN_LEVEL_0                                                           (128U)
#define CSLR_GICSS0_SPI_CPTS0_EVNT_PEND_0                                                          (129U)
#define CSLR_GICSS0_SPI_MCU_CTRL_MMR0_ACCESS_ERR_0                                                 (130U)
#define CSLR_GICSS0_SPI_PADCFG_CTRL0_ACCESS_ERR_0                                                  (131U)
#define CSLR_GICSS0_SPI_MCU_PADCFG_CTRL0_ACCESS_ERR_0                                              (132U)
#define CSLR_GICSS0_SPI_GLUELOGIC_CBASS_INTR_OR_GLUE_MAIN_CBASS_AGG_ERR_INTR_0                     (133U)
#define CSLR_GICSS0_SPI_CPSW0_EVNT_PEND_0                                                          (134U)
#define CSLR_GICSS0_SPI_CPSW0_MDIO_PEND_0                                                          (135U)
#define CSLR_GICSS0_SPI_CPSW0_STAT_PEND_0                                                          (136U)
#define CSLR_GICSS0_SPI_CTRL_MMR0_ACCESS_ERR_0                                                     (137U)
#define CSLR_GICSS0_SPI_GPMC0_GPMC_SINTERRUPT_0                                                    (138U)
#define CSLR_GICSS0_SPI_MCU_I2C0_POINTRPEND_0                                                      (139U)
#define CSLR_GICSS0_SPI_MCU_I2C1_POINTRPEND_0                                                      (140U)
#define CSLR_GICSS0_SPI_MCSPI3_INTR_SPI_0                                                          (141U)
#define CSLR_GICSS0_SPI_SERDES_10G0_PHY_PWR_TIMEOUT_LVL_0                                          (142U)
#define CSLR_GICSS0_SPI_DMSC0_CORTEX_M3_0_SEC_OUT_0                                                (143U)
#define CSLR_GICSS0_SPI_DMSC0_CORTEX_M3_0_SEC_OUT_1                                                (144U)
#define CSLR_GICSS0_SPI_ECAP0_ECAP_INT_0                                                           (145U)
#define CSLR_GICSS0_SPI_ECAP1_ECAP_INT_0                                                           (146U)
#define CSLR_GICSS0_SPI_ECAP2_ECAP_INT_0                                                           (147U)
#define CSLR_GICSS0_SPI_EQEP0_EQEP_INT_0                                                           (148U)
#define CSLR_GICSS0_SPI_EQEP1_EQEP_INT_0                                                           (149U)
#define CSLR_GICSS0_SPI_EQEP2_EQEP_INT_0                                                           (150U)
#define CSLR_GICSS0_SPI_DDR16SS0_DDRSS_CONTROLLER_0                                                (151U)
#define CSLR_GICSS0_SPI_TIMER0_INTR_PEND_0                                                         (152U)
#define CSLR_GICSS0_SPI_TIMER1_INTR_PEND_0                                                         (153U)
#define CSLR_GICSS0_SPI_TIMER2_INTR_PEND_0                                                         (154U)
#define CSLR_GICSS0_SPI_TIMER3_INTR_PEND_0                                                         (155U)
#define CSLR_GICSS0_SPI_TIMER4_INTR_PEND_0                                                         (156U)
#define CSLR_GICSS0_SPI_TIMER5_INTR_PEND_0                                                         (157U)
#define CSLR_GICSS0_SPI_TIMER6_INTR_PEND_0                                                         (158U)
#define CSLR_GICSS0_SPI_TIMER7_INTR_PEND_0                                                         (159U)
#define CSLR_GICSS0_SPI_TIMER8_INTR_PEND_0                                                         (160U)
#define CSLR_GICSS0_SPI_TIMER9_INTR_PEND_0                                                         (161U)
#define CSLR_GICSS0_SPI_TIMER10_INTR_PEND_0                                                        (162U)
#define CSLR_GICSS0_SPI_TIMER11_INTR_PEND_0                                                        (163U)
#define CSLR_GICSS0_SPI_ELM0_ELM_POROCPSINTERRUPT_LVL_0                                            (164U)
#define CSLR_GICSS0_SPI_MMCSD0_EMMCSS_INTR_0                                                       (165U)
#define CSLR_GICSS0_SPI_MMCSD1_EMMCSDSS_INTR_0                                                     (166U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_ISO_RESET_PROTCOL_ACK_0                                         (167U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_ISO_RESET_PROTCOL_ACK_0                                         (168U)
#define CSLR_GICSS0_SPI_RTI0_INTR_WWD_0                                                            (169U)
#define CSLR_GICSS0_SPI_RTI1_INTR_WWD_0                                                            (170U)
#define CSLR_GICSS0_SPI_FSS0_OSPI_0_OSPI_LVL_INTR_0                                                (171U)
#define CSLR_GICSS0_SPI_DDR16SS0_DDRSS_PLL_FREQ_CHANGE_REQ_0                                       (172U)
#define CSLR_GICSS0_SPI_DMSC0_AES_0_HIB_PUBLIC_0                                                   (176U)
#define CSLR_GICSS0_SPI_DDPA0_DDPA_INTR_0                                                          (177U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_PWR_STATE_PULSE_0                                               (178U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_ERROR_PULSE_0                                                   (179U)
#define CSLR_GICSS0_SPI_ESM0_ESM_INT_CFG_LVL_0                                                     (180U)
#define CSLR_GICSS0_SPI_ESM0_ESM_INT_HI_LVL_0                                                      (181U)
#define CSLR_GICSS0_SPI_ESM0_ESM_INT_LOW_LVL_0                                                     (182U)
#define CSLR_GICSS0_SPI_VTM0_THERM_LVL_GT_TH1_INTR_0                                               (183U)
#define CSLR_GICSS0_SPI_VTM0_THERM_LVL_GT_TH2_INTR_0                                               (184U)
#define CSLR_GICSS0_SPI_VTM0_THERM_LVL_LT_TH0_INTR_0                                               (185U)
#define CSLR_GICSS0_SPI_MCAN0_MCANSS_EXT_TS_ROLLOVER_LVL_INT_0                                     (186U)
#define CSLR_GICSS0_SPI_MCAN0_MCANSS_MCAN_LVL_INT_0                                                (187U)
#define CSLR_GICSS0_SPI_MCAN0_MCANSS_MCAN_LVL_INT_1                                                (188U)
#define CSLR_GICSS0_SPI_MCAN1_MCANSS_EXT_TS_ROLLOVER_LVL_INT_0                                     (189U)
#define CSLR_GICSS0_SPI_MCAN1_MCANSS_MCAN_LVL_INT_0                                                (190U)
#define CSLR_GICSS0_SPI_MCAN1_MCANSS_MCAN_LVL_INT_1                                                (191U)
#define CSLR_GICSS0_SPI_MCU_MCRC64_0_INT_MCRC_0                                                    (192U)
#define CSLR_GICSS0_SPI_I2C0_POINTRPEND_0                                                          (193U)
#define CSLR_GICSS0_SPI_I2C1_POINTRPEND_0                                                          (194U)
#define CSLR_GICSS0_SPI_I2C2_POINTRPEND_0                                                          (195U)
#define CSLR_GICSS0_SPI_I2C3_POINTRPEND_0                                                          (196U)
#define CSLR_GICSS0_SPI_SA2_UL0_SECURITY_0                                                         (197U)
#define CSLR_GICSS0_SPI_DMSC0_AES_0_HIB_SECURE_0                                                   (198U)
#define CSLR_GICSS0_SPI_SA2_UL0_SA_UL_PKA_0                                                        (199U)
#define CSLR_GICSS0_SPI_SA2_UL0_SA_UL_TRNG_0                                                       (200U)
#define CSLR_GICSS0_SPI_DEBUGSS0_AQCMPINTR_LEVEL_0                                                 (201U)
#define CSLR_GICSS0_SPI_DEBUGSS0_CTM_LEVEL_0                                                       (202U)
#define CSLR_GICSS0_SPI_PSC0_PSC_ALLINT_0                                                          (203U)
#define CSLR_GICSS0_SPI_MCSPI0_INTR_SPI_0                                                          (204U)
#define CSLR_GICSS0_SPI_MCSPI1_INTR_SPI_0                                                          (205U)
#define CSLR_GICSS0_SPI_MCSPI2_INTR_SPI_0                                                          (206U)
#define CSLR_GICSS0_SPI_MCSPI4_INTR_SPI_0                                                          (207U)
#define CSLR_GICSS0_SPI_MCU_MCSPI0_INTR_SPI_0                                                      (208U)
#define CSLR_GICSS0_SPI_MCU_MCSPI1_INTR_SPI_0                                                      (209U)
#define CSLR_GICSS0_SPI_UART0_USART_IRQ_0                                                          (210U)
#define CSLR_GICSS0_SPI_UART1_USART_IRQ_0                                                          (211U)
#define CSLR_GICSS0_SPI_UART2_USART_IRQ_0                                                          (212U)
#define CSLR_GICSS0_SPI_UART3_USART_IRQ_0                                                          (213U)
#define CSLR_GICSS0_SPI_UART4_USART_IRQ_0                                                          (214U)
#define CSLR_GICSS0_SPI_UART5_USART_IRQ_0                                                          (215U)
#define CSLR_GICSS0_SPI_UART6_USART_IRQ_0                                                          (216U)
#define CSLR_GICSS0_SPI_MCU_UART0_USART_IRQ_0                                                      (217U)
#define CSLR_GICSS0_SPI_MCU_UART1_USART_IRQ_0                                                      (218U)
#define CSLR_GICSS0_SPI_USB0_HOST_SYSTEM_ERROR_0                                                   (219U)
#define CSLR_GICSS0_SPI_USB0_IRQ_0                                                                 (220U)
#define CSLR_GICSS0_SPI_USB0_IRQ_1                                                                 (221U)
#define CSLR_GICSS0_SPI_USB0_IRQ_2                                                                 (222U)
#define CSLR_GICSS0_SPI_USB0_IRQ_3                                                                 (223U)
#define CSLR_GICSS0_SPI_USB0_IRQ_4                                                                 (224U)
#define CSLR_GICSS0_SPI_USB0_IRQ_5                                                                 (225U)
#define CSLR_GICSS0_SPI_USB0_IRQ_6                                                                 (226U)
#define CSLR_GICSS0_SPI_USB0_IRQ_7                                                                 (227U)
#define CSLR_GICSS0_SPI_USB0_OTGIRQ_0                                                              (228U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_CPTS_PEND_0                                                     (229U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_DOWNSTREAM_PULSE_0                                              (230U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_FLR_PULSE_0                                                     (231U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_DPA_PULSE_0                                                     (232U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_HOT_RESET_PULSE_0                                               (233U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_LEGACY_PULSE_0                                                  (234U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_LINK_STATE_PULSE_0                                              (235U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_LOCAL_LEVEL_0                                                   (236U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_PHY_LEVEL_0                                                     (237U)
#define CSLR_GICSS0_SPI_PCIE0_PCIE_PTM_VALID_PULSE_0                                               (238U)
#define CSLR_GICSS0_SPI_DMSC0_DBG_AUTH_0_DEBUG_AUTH_INTR_0                                         (239U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_RX_SOF_INTR_REQ_0                                           (240U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_RX_SOF_INTR_REQ_1                                           (241U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_TX_SOF_INTR_REQ_0                                           (242U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_TX_SOF_INTR_REQ_1                                           (243U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_RX_SOF_INTR_REQ_0                                           (244U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_RX_SOF_INTR_REQ_1                                           (245U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_TX_SOF_INTR_REQ_0                                           (246U)
#define CSLR_GICSS0_SPI_PRU_ICSSG0_PR1_TX_SOF_INTR_REQ_1                                           (247U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_0                                            (248U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_1                                            (249U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_2                                            (250U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_3                                            (251U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_4                                            (252U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_5                                            (253U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_6                                            (254U)
#define CSLR_GICSS0_SPI_PRU_ICSSG1_PR1_HOST_INTR_PEND_7                                            (255U)
#define CSLR_GICSS0_SPI_GLUELOGIC_GLUE_EXT_INTN_OUT_0                                              (256U)

#ifdef __cplusplus
}
#endif
#endif /* CSLR_GICSS0_INTERRUPT_MAP_H_ */

