/********************************************************************
*
* MCU_MCU_GPIOMUX_INTROUTER0 INTERRUPT MAP. header file
*
* Copyright (C) 2015-2022 Texas Instruments Incorporated.
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
#ifndef CSLR_MCU_MCU_GPIOMUX_INTROUTER0_INTERRUPT_MAP_H_
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_INTERRUPT_MAP_H_

#include <drivers/hw_include/cslr.h>
#include <drivers/hw_include/tistdtypes.h>
#ifdef __cplusplus
extern "C"
{
#endif

/*
* List of intr sources for receiver: MCU_MCU_GPIOMUX_INTROUTER0
*/

#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_0                                        (0U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_1                                        (1U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_2                                        (2U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_3                                        (3U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_4                                        (4U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_5                                        (5U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_6                                        (6U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_7                                        (7U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_8                                        (8U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_9                                        (9U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_10                                       (10U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_11                                       (11U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_12                                       (12U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_13                                       (13U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_14                                       (14U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_15                                       (15U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_16                                       (16U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_17                                       (17U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_18                                       (18U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_19                                       (19U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_20                                       (20U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_21                                       (21U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_22                                       (22U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_23                                       (23U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_24                                       (24U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_25                                       (25U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_26                                       (26U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_27                                       (27U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_28                                       (28U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_29                                       (29U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_BANK_0                                   (30U)
#define CSLR_MCU_MCU_GPIOMUX_INTROUTER0_IN_MCU_GPIO0_GPIO_BANK_1                                   (31U)

#ifdef __cplusplus
}
#endif
#endif /* CSLR_MCU_MCU_GPIOMUX_INTROUTER0_INTERRUPT_MAP_H_ */

